:host {
	grid-area: main-content;

	display: grid;
	overflow: auto;

	mat-sidenav-container {
		width: 100%;

		mat-sidenav {
			::ng-deep .mat-drawer-inner-container {
				display: grid;
				grid-template-columns: 290px;
				grid-template-rows: min-content 1fr;

				mat-nav-list {
					overflow: auto;

					button {
						width: 100%;
						height: 50px;
						border-radius: 0px !important;
						text-align: left;

						mat-icon {
							margin-left: 10px;
							margin-right: 10px;
						}
					}

					h5 {
						margin: 16px;
					}
				}
			}
		}

		::ng-deep .mat-drawer-container {
			@media (max-width: 600px) {
				z-index: unset;
			}
		}

		::ng-deep .mat-drawer-backdrop {
			position: fixed;
		}

		mat-toolbar {
			justify-content: space-between;
		}

		mat-sidenav-content {
			display: grid;
			grid-template-rows: 0 1fr;
		}
	}
}
